Subject: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Apr 2025 16:26:49 +0300

> From: Visuwesh <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Stefan Monnier
>  <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 24 Apr 2025 17:31:49 +0530
> 
> I ran the benchmark with the text file tamil.txt in place of xmenu.c,
> but I didn't disable elb-smie-mode since I ran into weird issues.  In
> both master and text-index cases, I ran the benchmark with
> 
>     % emacs -Q -l elisp-benchmarks-run --eval '(elisp-benchmarks-run "elb-scroll" t 10)'
> 
> and here are the results for the master branch:
> 
> * Results
> 
>   | test   | non-gc (s) | gc (s) | gcs | total (s) | err |
>   |--------+------------+--------+-----+-----------+-----|
>   | scroll |     155.73 |  49.29 | 835 |    205.02 |  0% |
>   |--------+------------+--------+-----+-----------+-----|
>   | total  |     155.73 |  49.29 | 835 |    205.02 |  0% |
> 
> and for the scratch/text-index branch:
> 
> * Results
> 
>   | test   | non-gc (s) | gc (s) | gcs | total (s) | err |
>   |--------+------------+--------+-----+-----------+-----|
>   | scroll |     171.89 |  51.56 | 869 |    223.44 |  1% |
>   |--------+------------+--------+-----+-----------+-----|
>   | total  |     171.89 |  51.56 | 869 |    223.44 |  1% |
> 
> Unfortunately, my laptop went to power saving mode during the last two
> minutes or so for the scratch/text-index benchmark run so that might
> play into the numbers a tiny bit.  I can try repeating the test later
> for the latter case if desired.  Empirically speaking, both branches
> seemed to scroll at the same speed.

Thanks.

Unless the power saving mode explains it, the results look a bit
disappointing to me: the branch is slower by about 10%.  That's
unexpected, I think.